Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.event.dom.client
Interface HasAllKeyHandlers

All Superinterfaces:
  HasHandlers, HasKeyDownHandlers, HasKeyPressHandlers, HasKeyUpHandlers

All Known Subinterfaces:
  TabBar.Tab

All Known Implementing Classes:
  Anchor, Audio, Button, ButtonBase, Canvas, CheckBox, CustomButton, DoubleBox, FileUpload, FocusPanel, FocusWidget, IntegerBox, ListBox, LongBox, MediaBase, PasswordTextBox, PushButton, RadioButton, ResetButton, RichTextArea, SimpleCheckBox, SimpleRadioButton, SubmitButton, SuggestBox, TextArea, TextBox, TextBoxBase, ToggleButton, Tree, ValueBox, ValueBoxBase, Video

    public interface HasAllKeyHandlers

extends HasKeyUpHandlers, HasKeyDownHandlers, HasKeyPressHandlers

Convenience interface used to implement all key handlers at once.

WARNING, PLEASE READ: In the unlikely event that more key handler subtypes are added to GWT, this interface will be expanded, so only implement this interface if you wish to have your widget break if a new key event type is introduced.

Method Summary

Methods inherited from interface com.google.gwt.event.dom.client.HasKeyUpHandlers
`addKeyUpHandler`

Methods inherited from interface com.google.gwt.event.dom.client.HasKeyDownHandlers
`addKeyDownHandler`

Methods inherited from interface com.google.gwt.event.dom.client.HasKeyPressHandlers
`addKeyPressHandler`

Methods inherited from interface com.google.gwt.event.shared.HasHandlers
`fireEvent`

Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD